[vlc-commits] package/win32: build.sh: don't run bootstrap if it was run once

Steve Lhomme git at videolan.org
Fri Mar 13 15:18:44 CET 2020


vlc | branch: master | Steve Lhomme <robux4 at ycbcr.xyz> | Fri Feb 14 08:23:02 2020 +0100| [abd6fbe4b2d39969e5f691892c181e7cc9aa1d1a] | committer: Steve Lhomme

package/win32: build.sh: don't run bootstrap if it was run once

If the configure.ac changes, autotools will notice and rerun the necessary
commands to build properly. Same thing if a Makefile.am is modified.

If one of the local .m4 file is modified, it won't pick the difference. The
user will need to run the bootstrap manually (or remove the configure file).

> http://git.videolan.org/gitweb.cgi/vlc.git/?a=commit;h=abd6fbe4b2d39969e5f691892c181e7cc9aa1d1a
---

 extras/package/win32/build.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/extras/package/win32/build.sh b/extras/package/win32/build.sh
index f12f412668..4f92b9f7ea 100755
--- a/extras/package/win32/build.sh
+++ b/extras/package/win32/build.sh
@@ -184,7 +184,10 @@ cd ../..
 
 info "Bootstrapping"
 
-${SCRIPT_PATH}/../../../bootstrap
+if ! [ -e ${SCRIPT_PATH}/../../../configure ]; then
+    echo "Bootstraping vlc"
+    ${SCRIPT_PATH}/../../../bootstrap
+fi
 
 info "Configuring VLC"
 mkdir -p $SHORTARCH



More information about the vlc-commits mailing list